Loading...
Searching...
No Matches
BALL::VIEW::DockingThread Class Reference

Thread for Docking. More...

`#include <BALL/VIEW/KERNEL/threads.h>`

Inheritance diagram for BALL::VIEW::DockingThread:

## Public Member Functions

| DockingThread ()
virtual | ~DockingThread ()
const DockingThread & | operator= (const DockingThread &dock_thread)
void | setDockingAlgorithm (DockingAlgorithm *dock_alg)
virtual void | run ()
Public Member Functions inherited from BALL::VIEW::BALLThread
| BALLThread ()
void | setMainControl (MainControl *mf)
void | setComposite (Composite *composite)
Composite * | getComposite ()

## Protected Attributes

DockingAlgorithm * | dock_alg_
Protected Attributes inherited from BALL::VIEW::BALLThread
MainControl * | main_control_
Composite * | composite_

## Additional Inherited Members

Protected Member Functions inherited from BALL::VIEW::BALLThread
void | sendMessage_ (Message *msg)
void | updateStructure_ ()
void | output_ (const String &string, bool important=false)
| Sends the string as outout to Log.info.
void | waitForUpdateOfRepresentations_ ()

## Detailed Description

Thread for Docking.

Definition at line 275 of file threads.h.

## Constructor & Destructor Documentation

## DockingThread()

BALL::VIEW::DockingThread::DockingThread | ( |  | ) |

## ~DockingThread()

virtual BALL::VIEW::DockingThread::~DockingThread | ( |  | ) |

virtual

## Member Function Documentation

## operator=()

const DockingThread & BALL::VIEW::DockingThread::operator= | ( | const DockingThread & | dock_thread | ) |

Assignment operator

## run()

virtual void BALL::VIEW::DockingThread::run | ( |  | ) |

virtual

Exceptions

  BALL::Exception::NullPointer |

Reimplemented from BALL::VIEW::BALLThread.

## setDockingAlgorithm()

void BALL::VIEW::DockingThread::setDockingAlgorithm | ( | DockingAlgorithm * | dock_alg | ) |

## Member Data Documentation

## dock_alg_

DockingAlgorithm* BALL::VIEW::DockingThread::dock_alg_

protected

Definition at line 296 of file threads.h.